package com.utopiaindustries.dialect;

import org.thymeleaf.dialect.AbstractProcessorDialect;
import org.thymeleaf.processor.IProcessor;

import java.util.HashSet;
import java.util.Set;

public class CTPDialect extends AbstractProcessorDialect {

	public CTPDialect() {
		super(
				"Utopia Industries",
				"ctp",
				1000
		);
	}

	public Set<IProcessor> getProcessors( final String dialectPrefix ) {
		final Set<IProcessor> processors = new HashSet<IProcessor>();
		processors.add( new FormatCurrencyTagProcessor( dialectPrefix ) );
		processors.add( new FormatDateTagProcessor( dialectPrefix ) );
		processors.add( new FormatDateTimeTagProcessor( dialectPrefix ) );
		processors.add( new FormatTimePeriodHumanReadableSince( dialectPrefix ) );
		processors.add( new FormatTimePeriodHumanReadableBetween( dialectPrefix ) );
		processors.add( new IsOnPathTagProcessor( dialectPrefix ) );
		processors.add( new FormatTimeTagProcessor( dialectPrefix ) );
		processors.add( new FormatNumberTagProcessor( dialectPrefix ) );
		return processors;
	}
}
